org.jboss.netty.handler.codec.marshalling

## Class ContextBoundUnmarshallerProvider

- java.lang.Object
- - org.jboss.netty.handler.codec.marshalling.DefaultUnmarshallerProvider
  - - org.jboss.netty.handler.codec.marshalling.ContextBoundUnmarshallerProvider

- All Implemented Interfaces:
    UnmarshallerProvider

      public class ContextBoundUnmarshallerProvider
      extends DefaultUnmarshallerProvider

  `UnmarshallerProvider` which store a reference to the `Unmarshaller` in the `ChannelHandlerContext` via the `ChannelHandlerContext.setAttachment(Object)` method. So the same `Unmarshaller` will be used during the life-time of a `Channel` for the `ChannelHandler`'s `ChannelHandlerContext`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextBoundUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory, org.jboss.marshalling.MarshallingConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.marshalling.Unmarshaller` | `getUnmarshaller(ChannelHandlerContext ctx)` Get the `Unmarshaller` for the given `ChannelHandlerContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextBoundUnmarshallerProvider

          public ContextBoundUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory,
                                          org.jboss.marshalling.MarshallingConfiguration config)

  - ### Method Detail

    - #### getUnmarshaller

          public org.jboss.marshalling.Unmarshaller getUnmarshaller(ChannelHandlerContext ctx)
                                                             throws Exception

      Description copied from interface: `UnmarshallerProvider`
      Get the `Unmarshaller` for the given `ChannelHandlerContext`
      Specified by:
        `getUnmarshaller` in interface `UnmarshallerProvider`
      Overrides:
        `getUnmarshaller` in class `DefaultUnmarshallerProvider`
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.